Loading...
Searching...
No Matches
VectorOfIterators< IteratorValue, ConstIteratorValue >

## Detailed Description

template<class IteratorValue, class ConstIteratorValue>
struct rheolef::VectorOfIterators< IteratorValue, ConstIteratorValue >

Definition at line 341 of file Vector.h.

Inheritance diagram for VectorOfIterators< IteratorValue, ConstIteratorValue >:

## Public Types

typedef Vector< IteratorValue > | V
typedef Vector< ConstIteratorValue > | CONST_V
typedef IteratorValue | value_type
typedef ConstIteratorValue | const_value_type
typedef V::iterator | iterator
typedef CONST_V::const_iterator | const_iterator
typedef V::pointer | pointer
typedef V::reference | reference
typedef CONST_V::const_reference | const_reference
typedef V::size_type | size_type
typedef V::difference_type | difference_type
typedef V::reverse_iterator | reverse_iterator
typedef CONST_V::const_reverse_iterator | const_reverse_iterator
Public Types inherited from Vector< IteratorValue >
typedef vector_rep< IteratorValue > | DATA
typedef DATA::iterator | iterator
typedef DATA::const_iterator | const_iterator
typedef DATA::pointer | pointer
typedef DATA::reference | reference
typedef DATA::const_reference | const_reference
typedef DATA::size_type | size_type
typedef DATA::difference_type | difference_type
typedef IteratorValue | value_type
typedef DATA::reverse_iterator | reverse_iterator
typedef DATA::const_reverse_iterator | const_reverse_iterator
Public Types inherited from smart_pointer< T >
typedef T | handled_type
typedef base::internal | internal

## Public Member Functions

| VectorOfIterators (size_type n, const IteratorValue &value=IteratorValue())
| VectorOfIterators (const_iterator first, const_iterator last)
iterator | begin ()
const_iterator | begin () const
const_iterator | end () const
iterator | end ()
const_reverse_iterator | rbegin () const
reverse_iterator | rbegin ()
const_reverse_iterator | rend () const
reverse_iterator | rend ()
const_reference | at (size_type n) const
reference | at (size_type n)
const_reference | front () const
reference | front ()
const_reference | back () const
reference | back ()
Public Member Functions inherited from Vector< IteratorValue >
| Vector (size_type n=0, const IteratorValue &value=IteratorValue())
| Vector (const_iterator first, const_iterator last)
void | reserve (size_type n)
void | swap (Vector< IteratorValue > &x)
iterator | begin ()
const_iterator | begin () const
iterator | end ()
const_iterator | end () const
reverse_iterator | rbegin ()
const_reverse_iterator | rbegin () const
reverse_iterator | rend ()
const_reverse_iterator | rend () const
size_type | size () const
size_type | max_size () const
size_type | capacity () const
bool | empty () const
void | resize (size_type sz, IteratorValue v=IteratorValue())
const_reference | operator[] (size_type n) const
reference | operator[] (size_type n)
const_reference | at (size_type n) const
reference | at (size_type n)
reference | front ()
const_reference | front () const
reference | back ()
const_reference | back () const
void | push_back (const IteratorValue &x)
iterator | insert (iterator position, const IteratorValue &x=IteratorValue())
void | insert (iterator position, size_type n, const IteratorValue &x)
void | insert (iterator position, const_iterator first, const_iterator last)
void | pop_back ()
void | erase (iterator position)
void | erase (iterator first, iterator last)
Public Member Functions inherited from smart_pointer< T >
| smart_pointer (T *p=0)
| smart_pointer (void *count, internal i)
| smart_pointer (const smart_pointer< T > &x)
smart_pointer< T > & | operator= (const smart_pointer< T > &x)
| ~smart_pointer ()
Public Member Functions inherited from smart_pointer_base< T, details::constructor_copy< T > >
| smart_pointer_base (T *p=0)
smart_pointer_base< T, details::constructor_copy< T > > & | operator= (const smart_pointer_base< T, details::constructor_copy< T > > &)
| ~smart_pointer_base ()
const T * | pointer () const
const T & | data () const
const T * | operator-> () const
const T & | operator* () const
int | reference_counter () const
counter * | get_count () const

## Member Typedef Documentation

## V

template<class IteratorValue, class ConstIteratorValue>

typedef Vector<IteratorValue> V

Definition at line 343 of file Vector.h.

## CONST_V

template<class IteratorValue, class ConstIteratorValue>

typedef Vector<ConstIteratorValue> CONST_V

Definition at line 344 of file Vector.h.

## value_type

template<class IteratorValue, class ConstIteratorValue>

typedef IteratorValue value_type

Definition at line 346 of file Vector.h.

## const_value_type

template<class IteratorValue, class ConstIteratorValue>

typedef ConstIteratorValue const_value_type

Definition at line 347 of file Vector.h.

## iterator

template<class IteratorValue, class ConstIteratorValue>

typedef V::iterator iterator

Definition at line 349 of file Vector.h.

## const_iterator

template<class IteratorValue, class ConstIteratorValue>

typedef CONST_V::const_iterator const_iterator

Definition at line 350 of file Vector.h.

## pointer

template<class IteratorValue, class ConstIteratorValue>

typedef V::pointer pointer

Definition at line 351 of file Vector.h.

## reference

template<class IteratorValue, class ConstIteratorValue>

typedef V::reference reference

Definition at line 352 of file Vector.h.

## const_reference

template<class IteratorValue, class ConstIteratorValue>

typedef CONST_V::const_reference const_reference

Definition at line 353 of file Vector.h.

## size_type

template<class IteratorValue, class ConstIteratorValue>

typedef V::size_type size_type

Definition at line 354 of file Vector.h.

## difference_type

template<class IteratorValue, class ConstIteratorValue>

typedef V::difference_type difference_type

Definition at line 355 of file Vector.h.

## reverse_iterator

template<class IteratorValue, class ConstIteratorValue>

typedef V::reverse_iterator reverse_iterator

Definition at line 356 of file Vector.h.

## const_reverse_iterator

template<class IteratorValue, class ConstIteratorValue>

typedef CONST_V::const_reverse_iterator const_reverse_iterator

Definition at line 357 of file Vector.h.

## Constructor & Destructor Documentation

## VectorOfIterators() [1/2]

template<class IteratorValue, class ConstIteratorValue>

VectorOfIterators | ( | size_type | n,
|  | const IteratorValue & | value = IteratorValue () )

explicit

Definition at line 360 of file Vector.h.

## VectorOfIterators() [2/2]

template<class IteratorValue, class ConstIteratorValue>

VectorOfIterators | ( | const_iterator | first,
|  | const_iterator | last )

Definition at line 365 of file Vector.h.

## Member Function Documentation

## begin() [1/2]

template<class IteratorValue, class ConstIteratorValue>

iterator begin | ( |  | ) |

Definition at line 370 of file Vector.h.

## begin() [2/2]

template<class IteratorValue, class ConstIteratorValue>

const_iterator begin | ( |  | ) | const

Definition at line 374 of file Vector.h.

## end() [1/2]

template<class IteratorValue, class ConstIteratorValue>

const_iterator end | ( |  | ) | const

Definition at line 378 of file Vector.h.

## end() [2/2]

template<class IteratorValue, class ConstIteratorValue>

iterator end | ( |  | ) |

Definition at line 382 of file Vector.h.

## rbegin() [1/2]

template<class IteratorValue, class ConstIteratorValue>

const_reverse_iterator rbegin | ( |  | ) | const

Definition at line 386 of file Vector.h.

## rbegin() [2/2]

template<class IteratorValue, class ConstIteratorValue>

reverse_iterator rbegin | ( |  | ) |

Definition at line 390 of file Vector.h.

## rend() [1/2]

template<class IteratorValue, class ConstIteratorValue>

const_reverse_iterator rend | ( |  | ) | const

Definition at line 394 of file Vector.h.

## rend() [2/2]

template<class IteratorValue, class ConstIteratorValue>

reverse_iterator rend | ( |  | ) |

Definition at line 398 of file Vector.h.

## at() [1/2]

template<class IteratorValue, class ConstIteratorValue>

const_reference at | ( | size_type | n | ) | const

Definition at line 412 of file Vector.h.

## at() [2/2]

template<class IteratorValue, class ConstIteratorValue>

reference at | ( | size_type | n | ) |

Definition at line 416 of file Vector.h.

## front() [1/2]

template<class IteratorValue, class ConstIteratorValue>

const_reference front | ( |  | ) | const

Definition at line 420 of file Vector.h.

## front() [2/2]

template<class IteratorValue, class ConstIteratorValue>

reference front | ( |  | ) |

Definition at line 424 of file Vector.h.

## back() [1/2]

template<class IteratorValue, class ConstIteratorValue>

const_reference back | ( |  | ) | const

Definition at line 428 of file Vector.h.

## back() [2/2]

template<class IteratorValue, class ConstIteratorValue>

reference back | ( |  | ) |

Definition at line 432 of file Vector.h.

The documentation for this struct was generated from the following file:

- /build/rheolef-L67pNR/rheolef-7.2/util/lib/Vector.h